#include <stdio.h>
#include <stdlib.h>

#include "memmap.h"

int main( int argc, char **argv)
{
    int rc, i;
    int *a;
    int sum = 0;
    mappedRegion reg;

    rc = memmap( "xxxmapfilexxx", 12345, 200*sizeof(int), &reg);
    if (rc != 0) {
        printf( "memmap failed, rc = %d\n", rc);
        exit(1);
    }
    
    a = (int *)memGetAddr( &reg);
    if (200 > memGetLength( &reg)) {
        printf( "mapped region too small\n");
        exit(1);
    }

    for (i=0; i<200; ++i) {
        if (i%10 == 0) printf("\n");
        printf( "%6d", a[i]);
        sum += a[i];
    }
    printf("\n Summe = %d\n", sum);
    memunmap( &reg);
}
